## pkb-client 1.2

=== requirements.txt ===
setuptools>=39.0.1
requests>=2.20.0

=== debian/changelog ===
pkb-client (1.2-1) unstable; urgency=medium

  * Initial upload.

 -- Unit 193 <unit193@debian.org>  Sat, 22 Jul 2023 05:11:24 -0400

=== debian/control ===
Source: pkb-client
Priority: optional
Section: utils
Maintainer: Unit 193 <unit193@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/infinityofspace/pkb_client
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git

Package: pkb-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Unofficial client for the Porkbun API
 pkb_client is an unofficial client for the Porkbun API.
 It supports the v3 of the API. You can find the official
 documentation of the Porkbun API at
 https://porkbun.com/api/json/v3/documentation

## pkb-client 2.0.0

=== Makefile ===
VERSION       = 2.0.0
RELEASE       = 1

# system paths
RESULT_PATH   = target
RPMBUILD_PATH = ~/rpmbuild

all: help

help:
	@printf '\nusuage make ...\n'
	@printf '  clean        -> remove results\n'
	@printf '  package      -> package archive for deploy .tar.xz\n'
	@printf '  build-spec   -> build python3-pkb-client.spec\n'
	@printf '  build-srpm   -> build python3-pkb-client-'${VERSION}-${RELEASE}'.src.rpm\n'
	@printf '  build-rpm    -> build python3-pkb-client-'${VERSION}-${RELEASE}'.noarch.rpm\n'

# helper commands

clean:
	@printf '[INFO] removing '${RESULT_PATH}/'\n'
	@rm -rf python3-pkb-client.spec ${RESULT_PATH}/

package: ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz

build-spec: python3-pkb-client.spec

build-srpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm

build-rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm

# file generators

python3-pkb-client.spec:
	@mkdir -p ${RESULT_PATH}/
	@printf '[INFO] generating python3-pkb-client.spec\n' | tee -a ${RESULT_PATH}/build.log
	@printf '%%global modname pkb_client\n\n'                         >  python3-pkb-client.spec
	@printf 'Name:           python3-pkb-client\n'                             >> python3-pkb-client.spec
	@printf 'Version:        '${VERSION}'\n'                                   >> python3-pkb-client.spec
	@printf 'Release:        '${RELEASE}'\n'                                   >> python3-pkb-client.spec
	@printf 'Obsoletes:      %%{name} <= %%{version}\n'                        >> python3-pkb-client.spec
	@printf 'Summary:        Python client for the Porkbun API\n\n'            >> python3-pkb-client.spec
	@printf 'License:        MIT License\n'                                    >> python3-pkb-client.spec
	@printf 'URL:            https://github.com/infinityofspace/pkb_client/\n' >> python3-pkb-client.spec
	@printf 'Source0:        %%{name}-%%{version}.tar.xz\n\n'                  >> python3-pkb-client.spec
	@printf 'BuildArch:      noarch\n'                                         >> python3-pkb-client.spec
	@printf 'BuildRequires:  python3-setuptools\n'                             >> python3-pkb-client.spec
	@printf 'BuildRequires:  python3-rpm-macros\n'                             >> python3-pkb-client.spec
	@printf 'BuildRequires:  python3-py\n\n'                                   >> python3-pkb-client.spec
	@printf '%%?python_enable_dependency_generator\n\n'                        >> python3-pkb-client.spec
	@printf '%%description\n'                                                  >> python3-pkb-client.spec
	@printf 'Python client for the Porkbun API\n\n'                            >> python3-pkb-client.spec
	@printf '%%prep\n'                                                         >> python3-pkb-client.spec
	@printf '%%autosetup -n %%{modname}_v%%{version}\n\n'                      >> python3-pkb-client.spec
	@printf '%%build\n'                                                        >> python3-pkb-client.spec
	@printf '%%py3_build\n\n'                                                  >> python3-pkb-client.spec
	@printf '%%install\n'                                                      >> python3-pkb-client.spec
	@printf '%%py3_install\n\n'                                                >> python3-pkb-client.spec
	@printf '%%files\n'                                                        >> python3-pkb-client.spec
	@printf '%%doc Readme.md\n'                                                >> python3-pkb-client.spec
	@printf '%%license License\n'                                              >> python3-pkb-client.spec
	@printf '%%{_bindir}/pkb-client\n'                                         >> python3-pkb-client.spec
	@printf '%%{python3_sitelib}/%%{modname}/\n'                               >> python3-pkb-client.spec
	@printf '%%{python3_sitelib}/%%{modname}-%%{version}*\n\n'                 >> python3-pkb-client.spec
	@printf '%%changelog\n'                                                    >> python3-pkb-client.spec
	@printf '...\n'                                                            >> python3-pkb-client.spec
	@printf '\n'                                                               >> python3-pkb-client.spec

${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz:
	@mkdir -p ${RESULT_PATH}/
	@printf '[INFO] packing python3-pkb-client-'${VERSION}'.tar.xz\n' | tee -a ${RESULT_PATH}/build.log
	@mkdir -p ${RESULT_PATH}/pkb_client_v${VERSION}
	@cp -r pkb_client requirements.txt setup.py License Readme.md \
		${RESULT_PATH}/pkb_client_v${VERSION}/
	@cd ${RESULT_PATH}; tar -I "pxz -9" -cf python3-pkb-client-${VERSION}.tar.xz pkb_client_v${VERSION}

${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz python3-pkb-client.spec
	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.src.rpm\n' | tee -a ${RESULT_PATH}/build.log
	@mkdir -p ${RPMBUILD_PATH}/SOURCES/
	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz ${RPMBUILD_PATH}/SOURCES/
	@rpmbuild -bs python3-pkb-client.spec &>> ${RESULT_PATH}/build.log
	@mv ${RPMBUILD_PATH}/SRPMS/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RESULT_PATH}/

${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm
	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.noarch.rpm\n' | tee -a ${RESULT_PATH}/build.log
	@mkdir -p ${RPMBUILD_PATH}/SRPMS/
	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RPMBUILD_PATH}/SRPMS/
	@rpmbuild --rebuild ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm &>> ${RESULT_PATH}/build.log
	@mv ${RPMBUILD_PATH}/RPMS/noarch/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm ${RESULT_PATH}/

=== requirements.txt ===
setuptools>=39.0.1
requests>=2.20.0
sphinx~=7.4
dnspython~=2.7
responses~=0.25.3
ruff~=0.7

=== debian/changelog ===
pkb-client (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * d/control: Add B-D on python3-(dnspython,requests).
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Wed, 20 Nov 2024 01:18:52 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-dnspython,
+ python3-requests,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/infinityofspace/pkb_client
 Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
 Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git

## pkb-client 2.1.1

=== requirements.txt ===
setuptools>=39.0.1
requests>=2.20.0
sphinx~=7.4
dnspython~=2.7
responses~=0.25.7
ruff~=0.11

=== debian/changelog ===
pkb-client (2.1.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 15 Apr 2025 01:14:57 -0400

pkb-client (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Thu, 10 Apr 2025 05:31:10 -0400

=== debian/watch ===
version=4
https://github.com/infinityofspace/pkb_client/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## pkb-client 2.2.0

=== Makefile ===
VERSION       = 2.0.0
RELEASE       = 1

# system paths
RESULT_PATH   = target
RPMBUILD_PATH = ~/rpmbuild

#------------------------------------------------------------------------------
# COMMANDS
#------------------------------------------------------------------------------

all: help

help:
	@printf '\nusuage make ...\n'
	@printf '  clean        -> remove results\n'
	@printf '  package      -> package archive for deploy .tar.xz\n'
	@printf '  build-spec   -> build python3-pkb-client.spec\n'
	@printf '  build-srpm   -> build python3-pkb-client-'${VERSION}-${RELEASE}'.src.rpm\n'
	@printf '  build-rpm    -> build python3-pkb-client-'${VERSION}-${RELEASE}'.noarch.rpm\n'

# helper commands

clean:
	@printf '[INFO] removing '${RESULT_PATH}/'\n'
	@rm -rf python3-pkb-client.spec ${RESULT_PATH}/

package: ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz

build-spec: python3-pkb-client.spec

build-srpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm

build-rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm


#------------------------------------------------------------------------------
# FILE GENERATORs
#------------------------------------------------------------------------------

define _spec_generator
cat << EOF
%global modname pkb_client

Name:           python3-pkb-client
Version:        ${VERSION}
Release:        ${RELEASE}
Obsoletes:      %{name} <= %{version}
Summary:        Python client for the Porkbun API

License:        MIT License
URL:            https://github.com/infinityofspace/pkb_client/
Source0:        %{name}-%{version}.tar.xz

Requires:       python3-requests
Requires:       python3-dns
Requires:       python3-responses

BuildArch:      noarch
BuildRequires:  python3-setuptools
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-py

%?python_enable_dependency_generator

%description
Python client for the Porkbun API

%%prep
%autosetup -n %{modname}_v%{version}

%build
%py3_build

%install
%py3_install

%files
%doc Readme.md
%license License
%{_bindir}/pkb-client
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*

%changelog
...

EOF
endef
export spec_generator = $(value _spec_generator)

python3-pkb-client.spec:
	@mkdir -p ${RESULT_PATH}/
	@printf '[INFO] generating python3-pkb-client.spec\n' | tee -a ${RESULT_PATH}/build.log
	@ VERSION=${VERSION} RELEASE=${RELEASE} eval "$$spec_generator" > python3-pkb-client.spec

${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz:
	@mkdir -p ${RESULT_PATH}/
	@printf '[INFO] packing python3-pkb-client-'${VERSION}'.tar.xz\n' | tee -a ${RESULT_PATH}/build.log
	@mkdir -p ${RESULT_PATH}/pkb_client_v${VERSION}
	@cp -r pkb_client requirements.txt setup.py License Readme.md \
		${RESULT_PATH}/pkb_client_v${VERSION}/
	@cd ${RESULT_PATH}; tar -I "pxz -9" -cf python3-pkb-client-${VERSION}.tar.xz pkb_client_v${VERSION}

${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz python3-pkb-client.spec
	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.src.rpm\n' | tee -a ${RESULT_PATH}/build.log
	@mkdir -p ${RPMBUILD_PATH}/SOURCES/
	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz ${RPMBUILD_PATH}/SOURCES/
	@rpmbuild -bs python3-pkb-client.spec &>> ${RESULT_PATH}/build.log
	@mv ${RPMBUILD_PATH}/SRPMS/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RESULT_PATH}/

${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm
	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.noarch.rpm\n' | tee -a ${RESULT_PATH}/build.log
	@mkdir -p ${RPMBUILD_PATH}/SRPMS/
	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RPMBUILD_PATH}/SRPMS/
	@rpmbuild --rebuild ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm &>> ${RESULT_PATH}/build.log
	@mv ${RPMBUILD_PATH}/RPMS/noarch/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm ${RESULT_PATH}/

=== requirements.txt ===
setuptools>=39.0.1
requests>=2.20.0
sphinx~=7.4
dnspython~=2.7
responses~=0.25.7
ruff~=0.12

=== debian/changelog ===
pkb-client (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0.

 -- Unit 193 <unit193@debian.org>  Sat, 16 Aug 2025 06:57:24 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-requests,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/infinityofspace/pkb_client
 Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
 Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pkb-client

%:
	dh $@ --buildsystem=pybuild

## pkb-client 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
-VERSION       = 2.0.0
+VERSION       = 2.3.0
 RELEASE       = 1
 
 # system paths
-RESULT_PATH   = target
-RPMBUILD_PATH = ~/rpmbuild
+RESULT_PATH   = ${PWD}/target
 
 #------------------------------------------------------------------------------
 # COMMANDS
@@ -52,35 +51,32 @@
 URL:            https://github.com/infinityofspace/pkb_client/
 Source0:        %{name}-%{version}.tar.xz
 
-Requires:       python3-requests
-Requires:       python3-dns
-Requires:       python3-responses
 
 BuildArch:      noarch
-BuildRequires:  python3-setuptools
-BuildRequires:  python3-rpm-macros
-BuildRequires:  python3-py
 
-%?python_enable_dependency_generator
+BuildRequires:  python3-devel
 
 %description
-Python client for the Porkbun API
+Python client for the Porkbun API.
 
-%%prep
+%prep
 %autosetup -n %{modname}_v%{version}
 
+%generate_buildrequires
+%pyproject_buildrequires
+
 %build
-%py3_build
+%pyproject_wheel
 
 %install
-%py3_install
+%pyproject_install
 
 %files
+%license License
 %doc Readme.md
-%license License
 %{_bindir}/pkb-client
 %{python3_sitelib}/%{modname}/
-%{python3_sitelib}/%{modname}-%{version}*
+%{python3_sitelib}/%{modname}-*.dist-info/
 
 %changelog
 ...
@@ -98,21 +94,18 @@
 	@mkdir -p ${RESULT_PATH}/
 	@printf '[INFO] packing python3-pkb-client-'${VERSION}'.tar.xz\n' | tee -a ${RESULT_PATH}/build.log
 	@mkdir -p ${RESULT_PATH}/pkb_client_v${VERSION}
-	@cp -r pkb_client requirements.txt setup.py License Readme.md \
+	@cp -r pkb_client pyproject.toml requirements.txt setup.py License Readme.md \
 		${RESULT_PATH}/pkb_client_v${VERSION}/
 	@cd ${RESULT_PATH}; tar -I "pxz -9" -cf python3-pkb-client-${VERSION}.tar.xz pkb_client_v${VERSION}
 
 ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz python3-pkb-client.spec
 	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.src.rpm\n' | tee -a ${RESULT_PATH}/build.log
-	@mkdir -p ${RPMBUILD_PATH}/SOURCES/
-	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz ${RPMBUILD_PATH}/SOURCES/
-	@rpmbuild -bs python3-pkb-client.spec &>> ${RESULT_PATH}/build.log
-	@mv ${RPMBUILD_PATH}/SRPMS/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RESULT_PATH}/
+	@rpmbuild -D "_topdir ${RESULT_PATH}" -D "_sourcedir %{_topdir}" -bs python3-pkb-client.spec &>> ${RESULT_PATH}/build.log
+	@mv ${RESULT_PATH}/SRPMS/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RESULT_PATH}/
 
 ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm
 	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.noarch.rpm\n' | tee -a ${RESULT_PATH}/build.log
-	@mkdir -p ${RPMBUILD_PATH}/SRPMS/
-	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RPMBUILD_PATH}/SRPMS/
-	@rpmbuild --rebuild ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm &>> ${RESULT_PATH}/build.log
-	@mv ${RPMBUILD_PATH}/RPMS/noarch/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm ${RESULT_PATH}/
+	@rpmbuild -D "_topdir ${RESULT_PATH}" --rebuild ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm &>> ${RESULT_PATH}/build.log
+	@mv ${RESULT_PATH}/RPMS/noarch/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm ${RESULT_PATH}/
 
+

=== requirements.txt ===
setuptools>=39.0.1
requests>=2.20.0
sphinx~=7.4
dnspython~=2.8
responses~=0.25.8
ruff~=0.14

=== debian/changelog ===
pkb-client (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0. (Closes: #1083544)
  * d/control:
    - Drop 'priority' and R³, set by default.
    - Move to Codeberg.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Tue, 03 Feb 2026 02:53:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: pkb-client
-Priority: optional
 Section: utils
 Maintainer: Unit 193 <unit193@debian.org>
 Build-Depends:
@@ -11,11 +10,10 @@
  python3-dnspython,
  python3-requests,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/infinityofspace/pkb_client
-Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
-Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git
+Vcs-Browser: https://codeberg.org/Unit193/pkb-client
+Vcs-Git: https://codeberg.org/Unit193/pkb-client.git
 
 Package: pkb-client
 Architecture: all
